# Get a formation preset

Section: Your data › PVP tracker › Formation presets

```
GET https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId
```

Gets a formation preset.

**Parameters**

- `seasonId` (path): The season id.
- `presetId` (path): The formation preset id.

## Authentication

Bearer Token — `Authorization: Bearer <token>` (inherited from folder "Your data")

## Path parameters

| Name | Value |
| --- | --- |
| `seasonId` |  |
| `presetId` |  |

## Example responses

### 200 OK

```json
{
  "data": {
    "id": "mh7d76991k97a1ah49qegezqsh8e1nga",
    "createdAt": "2026-09-08T18:36:12.624Z",
    "name": "Shun SHanako DEF",
    "matchType": "defense",
    "seasonId": "kh73y62jqqhmwbxbnrtpdfe7w18dydwx",
    "team": [
      {
        "studentId": "yuuka"
      },
      {
        "studentId": "hanako_swimsuit"
      },
      {
        "studentId": "shun"
      },
      {
        "studentId": "tsubaki"
      },
      {
        "studentId": "michiru_dress"
      },
      {
        "studentId": "hibiki"
      }
    ],
    "teamKey": "c5cf00744a2aa7a4",
    "usedByMe": true
  }
}
```

## Examples

### cURL

```bash
curl https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId \
  -H 'Authorization: Bearer {{api_key}}'
```

### JavaScript

```javascript
const response = await fetch("https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId", {
  headers: {
    "Authorization": "Bearer {{api_key}}",
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId"
headers = {
    "Authorization": "Bearer {{api_key}}",
}

response = requests.get(url, headers=headers)
print(response.json())
```

### Go

```go
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, err := http.NewRequest("GET", "https://ba.joexyz.online/api/v1/me/pvp/seasons/:seasonId/formation-presets/:presetId", nil)
	if err != nil {
		panic(err)
	}
	req.Header.Set("Authorization", "Bearer {{api_key}}")

	res, err := http.DefaultClient.Do(req)
	if err != nil {
		panic(err)
	}
	defer res.Body.Close()

	data, _ := io.ReadAll(res.Body)
	fmt.Println(string(data))
}
```
